services:
    pim_catalog.association.class_resolver:
        class: 'Akeneo\Pim\Enrichment\Component\Product\Association\AssociationClassResolver'
        arguments:
            -
                Akeneo\Pim\Enrichment\Component\Product\Model\ProductInterface: '%pim_catalog.entity.association.class%'
                Akeneo\Pim\Enrichment\Component\Product\Model\ProductModelInterface: '%pim_catalog.entity.product_model_association.class%'

    pim_catalog.association.missing_association_adder:
        class: 'Akeneo\Pim\Enrichment\Component\Product\Association\MissingAssociationAdder'
        arguments:
            - '@pim_catalog.repository.association_type'
            - '@pim_catalog.association.class_resolver'

    pim_catalog.association.filter.parent_associations:
        class: 'Akeneo\Pim\Enrichment\Component\Product\Association\ParentAssociationsFilter'

    pim_catalog.association.two_way_association_updater:
        class: 'Akeneo\Pim\Enrichment\Bundle\Doctrine\ORM\Updater\TwoWayAssociationUpdater'
        arguments:
            - '@doctrine'
            - '@pim_catalog.association.missing_association_adder'
